_SHA512_CTX Struct Reference

`#include <sha2.h>`

## Data Fields

uint64_t | state [8]
uint64_t | bitcount [2]
uint8_t | buffer [SHA512_BLOCK_LENGTH]

## Detailed Description

Definition at line 127 of file sha2.h.

## Field Documentation

uint64_t _SHA512_CTX::bitcount[2]

Definition at line 129 of file sha2.h.

Referenced by SHA384_Init(), SHA512_Init(), SHA512_Last(), and SHA512_Update().

uint8_t _SHA512_CTX::buffer[SHA512_BLOCK_LENGTH]

Definition at line 130 of file sha2.h.

Referenced by SHA384_Init(), SHA512_Init(), SHA512_Last(), SHA512_Transform(), and SHA512_Update().

uint64_t _SHA512_CTX::state[8]

Definition at line 128 of file sha2.h.

Referenced by SHA384_Final(), SHA384_Init(), SHA512_Final(), SHA512_Init(), and SHA512_Transform().

The documentation for this struct was generated from the following file:

- ext/digest/sha2/sha2.h